Bug 870608

Summary: NetworkManager fails to set up eth0 using dhcp on Fedora ARM
Product: [Fedora] Fedora Reporter: Mildred <mildred-bug.redhat>
Component: NetworkManagerAssignee: Dan Williams <dcbw>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: danw, dcbw, jklimes
Target Milestone: ---   
Target Release: ---   
Hardware: arm   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-07-31 19:40:44 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Mildred 2012-10-27 04:52:57 EDT
Description of problem: When booting the fedora arm image (inside a LXC container inside a debian), I get the following error:

network[82]: Bringing up loopback interface:  [  OK  ]
network[82]: Bringing up interface eth0:
network[82]: (process:228): GLib-WARNING **: (gerror.c:390):g_error_new_valist: runtime check failed: (domain != 0)
network[82]: Error: No suitable device found: no device found for connection 'System eth0'.
network[82]: [FAILED]

I get the same error with nmcli:

[root@fedora-arm etc]# nmcli con up id 'System eth0'

(process:293): GLib-WARNING **: (gerror.c:390):g_error_new_valist: runtime check failed: (domain != 0)
Error: No suitable device found: no device found for connection 'System eth0'.



Version-Release number of selected component (if applicable):
Fedora-ARM downloaded from http://download.fedoraproject.org/pub/fedora-secondary/releases/17/Images/arm/Fedora-17-arm-console.tar.xz (no updates yet)

How reproducible: always
Comment 1 Jirka Klimes 2012-10-31 08:01:03 EDT
We need more details. Basically:
* Would you attach /var/log/messages file?
* cat /etc/sysconfig/network-scripts/ifcfg-eth0 (or where the "System eth0" dwells)
* nmcli dev status
* nmcli dev list iface eth0
Comment 2 Jirka Klimes 2012-10-31 08:02:10 EDT
*** Bug 870584 has been marked as a duplicate of this bug. ***
Comment 3 Jirka Klimes 2012-10-31 08:03:03 EDT
*** Bug 870583 has been marked as a duplicate of this bug. ***
Comment 4 Fedora End Of Life 2013-07-03 18:03:52 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 19:40:48 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.